Support » Plugin: Inline Related Posts » An error of type E_ERROR was caused in line 126 of the file /wp-content/plugins/

  • HI,

    All was working fine, then today we get the following error. Any ideas what is causing it?

    Error Details
    =============
    An error of type E_ERROR was caused in line 126 of the file <pathremoved>/public_html/wp-content/plugins/intelly-related-posts/includes/classes/ui/Tabs.php. Error message: Uncaught Error: Call to undefined function irp_ui_first_time() in <pathremoved>/wp-content/plugins/intelly-related-posts/includes/classes/ui/Tabs.php:126
    Stack trace:
    #0 <pathremoved>/wp-includes/class-wp-hook.php(292): IRP_Tabs->showTabPage(”)
    #1 <pathremoved>/wp-includes/class-wp-hook.php(316): WP_Hook->apply_filters(”, Array)
    #2 <pathremoved>/wp-includes/plugin.php(484): WP_Hook->do_action(Array)
    #3 <pathremoved>/wp-admin/admin.php(259): do_action(‘settings_page_i…’)
    #4 <pathremoved>/wp-admin/options-general.php(10): require_once(‘/home/spiritual…’)
    #5 {main}
    thrown`

Viewing 12 replies - 1 through 12 (of 12 total)
  • Plugin Contributor IntellyWP

    (@intellywp)

    Hello

    we are sorry for the inconvenience

    Could you please follow this tutorial to disable the plugin via ftp and install again our plugin?

    https://www.wpbeginner.com/plugins/how-to-deactivate-all-plugins-when-not-able-to-access-wp-admin/

    We tested the plugin on WordPress 5.7.2 and php 7.4.12 and 8.0.0 but unfortunately we don’t have a copy of Astra theme

    Have you update the WordPress theme or the PHP version?

    Please let me know

    Thread Starter vkwebtec

    (@vkwebtec)

    I am already running the latest version of wordpress and PHP. The plugin started giving error this afternoon. Please advise how to fix this. Is this a bug in the plugin?

    Plugin Contributor IntellyWP

    (@intellywp)

    Hello

    Could you please send me some screenshots of this message error?

    Thank you

    Thread Starter vkwebtec

    (@vkwebtec)

    Everything is running smoothly. Only the plugin has stopped working. Only the shortcode is visible in the posts. No links (inline related posts) created in the past by the plugin is showing up.

    There is no problem in accessing the blog or any of the other functionality on the blog. Wp admin is also working fine.

    Attaching the screenshot. Only shortcode is visible.

    only shortcode visible: https://imgur.com/59RlkGR

    I am already running the latest version of wordpress and PHP. The plugin started giving error this afternoon. Please advise how to fix this. Is this a bug in the plugin?

    when I click this button, nothing happens: https://imgur.com/OU7GjjY

    and when I search for a post to add in the existing post, it has started giving this error – “LOADING FAILED” – https://imgur.com/a/MRH4qq7

    please advise how to fix this?

    Plugin Contributor IntellyWP

    (@intellywp)

    Could you please downgrade to a lower PHP version and send us more details about your installation (PHP version and the list of all plugin installed on WP)?

    Anyway the plugin has been tested on PHP 8.0.0 and WP 5.7.4

    Thank you

    Thread Starter vkwebtec

    (@vkwebtec)

    why should I downgrade the PHP version? It is not recommended by wordpress.

    Also, I have not upgraded php version today, it was upgraded weeks ago.

    This error started coming today.

    Plugin was working fine this morning and it stopped working without any changes in settings.

    here is the list of the plugins:

    Ad Inserter
    Advanced Editor Tools (previously TinyMCE Advanced)
    Author Bio Box
    Autoptimize
    Classic Editor
    Colorbox Panels
    Contextual Related Posts
    Easy Table of Contents
    Flexible SSL for CloudFlare
    Google XML Sitemaps
    Grow Social by Mediavine
    Inline Related Posts
    Link Whisper
    OG
    Pretty Links
    Schema & Structured Data for WP & AMP
    ShortPixel Image Optimizer
    SSL Insecure Content Fixer
    UpdraftPlus – Backup/Restore
    Wordfence Security
    WP Fastest Cache
    WP Word Count
    WPS Hide Login
    Yoast SEO

    Please advise.

    • This reply was modified 11 months, 2 weeks ago by vkwebtec.
    • This reply was modified 11 months, 2 weeks ago by vkwebtec.
    Thread Starter vkwebtec

    (@vkwebtec)

    I have resolved this on my own.

    Plugin Contributor IntellyWP

    (@intellywp)

    I thought you updated the PHP version of your site today anyway thank you for the update

    How have you resolved this issue?

    Thank you

    Thread Starter vkwebtec

    (@vkwebtec)

    It has not been resolved. Same error popped up after 24 hours.

    Please advise how to fix it.

    I have already attached screenshots above.

    Previously, We have renamed the plugin folder name to “intelly-related-posts_old” through FTP and then reinstalled the plugin.

    But plugin stopped working again after 24 hours.

    • This reply was modified 11 months, 2 weeks ago by vkwebtec.
    Plugin Contributor IntellyWP

    (@intellywp)

    Hello

    Could you please check the plugin settings and, eventually, enable the “Active?” checkbox?

    Thank you

    Thread Starter vkwebtec

    (@vkwebtec)

    It is already active.

    Plugin Contributor IntellyWP

    (@intellywp)

    Could you please open a new ticket on our support portal:
    https://data443.atlassian.net/servicedesk/customer/portal/17

    Thank you

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘An error of type E_ERROR was caused in line 126 of the file /wp-content/plugins/’ is closed to new replies.